---
title: Delete time-off record
slug: api/delete-time-off-record
description: API reference for POST endpoint: Delete time-off record.
docTags: 
createdAt: 2023-12-01T10:05:31.025Z
---

:::hint{type="success"}
<font color="#3b9f0f">**POST**</font>**&#x20;/api/delete\_ee\_time\_off**
:::

Deletes an existing time-off record for one staff, using the time-off record ID. The time-off record will be marked as deleted.



**Request**

***

<font color="#00a2e9">**Body parameters**</font>

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**ee\_time\_off\_id** <font color="#a7b4c3">integer Required</font>
:::

:::VerticalSplitItem
The unique Marco identifier for the time-off record.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**customer\_id** <font color="#a7b4c3">integer </font><font color="#a7b4c3">Required</font>
:::

:::VerticalSplitItem
The staff's unique identifier in your company's system.

Example: 50
:::
::::

***



**Example Requests**

***

::::CodeDrawer{title="Example" isResponseExpanded="true"}
:::CodeblockTabsExamples
```curl
curl -X POST 'https://api.marcopayroll.com/api:benKoCK8/api/delete_ee_time_off' \
-H 'Content-Type: application/json' \
-H 'Authorization: $AUTH_TOKEN' \
-d '{
  "ee_time_off_id": "1111"
  "customer_id": "99",
}'
```

```python
import requests

url = "https://api.marcopayroll.com/api:benKoCK8/api/delete_ee_time_off"

payload={
  "ee_time_off_id": "1111"
  "customer_id": "99",
}

headers = {
  "accept": "application/json",
  "Authorization": "YOUR_AUTH_TOKEN"
}

response = requests.post(url, headers=headers, data=payload)

print(response.text)
```
:::

:::CodeblockTabsResponses
```javascript
{
  "message": "Delete Successfully"
}
```
:::
::::



**Response**

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**message** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The endpoint response status.

Valid values: Delete Successfully, Please confirm the ee\_time\_off\_id, Permission Denied
:::
::::

***

